# Exiv2::CommentValue::CharsetInfo Class Reference

Charset information lookup functions. Implemented as a static class. More...

`#include <value.hpp>`

Collaboration diagram for Exiv2::CommentValue::CharsetInfo:

[legend]
List of all members.

## Static Public Member Functions

static const char * | name (CharsetId charsetId)
| Return the name for a charset id.
static const char * | code (CharsetId charsetId)
| Return the code for a charset id.
static CharsetId | charsetIdByName (const std::string &name)
| Return the charset id for a name.
static CharsetId | charsetIdByCode (const std::string &code)
| Return the charset id for a code.

## Detailed Description

Charset information lookup functions. Implemented as a static class.

The documentation for this class was generated from the following files:

- value.hpp
- value.cpp